import { styled } from '@nuskin/foundation-theme';
import { AccordionVariant } from './types.d';

export const StyledToggleSection = styled('section')<{ variant: AccordionVariant }>(({ variant }) => {
    if (variant === AccordionVariant.Compact) {
        return { borderRight: '1px solid rgb(0,0,0,0.125)' };
    }
    return {
        margin: '5px',
    };
});

export const StyledAccordionWrapper = styled('div')<{ variant: AccordionVariant }>(({ variant }) => {
    if (variant === AccordionVariant.Compact) {
        return {
            display: 'flex',
            flexDirection: 'column',
            gap: '0',
            borderTop: '1px solid rgb(0,0,0,0.125)',
            borderLeft: '1px solid rgb(0,0,0,0.125)',
        };
    }
    return {
        display: 'flex',
        flexDirection: 'column',
        gap: '10px',
    };
});
