import type { StoryObj, Meta } from '@storybook/react';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import { NsCollapse } from '../';

type ComponentType = typeof NsCollapse;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    title: 'Components/Accordion/NsCollapse',
    component: NsCollapse,
    decorators: [withCenterDecorator],
    argTypes: {
        isOpen: {
            control: 'boolean',
            description: 'if true renders NsCollapse in open state, and close state otherwise',
        },
        children: {
            control: 'React Node',
            description: 'Content for NsCollapse',
        },
    },
} as MetaStory;
export const Closed: Story = {
    args: {
        isOpen: false,
        children: 'Nuskin Description',
    },
};
export const Open: Story = {
    args: {
        isOpen: true,
        children: 'Nuskin Description',
    },
};
