import React from 'react';
import type { Meta, StoryObj } from '@storybook/react';
import NsAlert from './NsAlert';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';

type ComponentType = typeof NsAlert;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    title: 'Components/NsAlert',
    component: NsAlert,
    decorators: [withCenterDecorator],
    argTypes: {
        context: {
            control: 'select',
            options: ['error', 'info', 'notice', 'success', 'warning'],
        },
        type: {
            control: 'select',
            options: ['auto', 'banner', 'card'],
        },
    },
    args: {
        context: 'info',
        title: 'Information',
        threshhold: 600,
        type: 'banner',
        visible: true,
        onDismiss: () => {},
        body: (
            <span>{`Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt
         ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco
          laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in
          reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
          pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa
          qui officia deserunt mollit anim id est laborum.`}</span>
        ),
        foot: <span>Some message goes here.</span>,
    },
} as MetaStory;

export const AuthDropdown: Story = {};
