import React from 'react';
import { render, screen } from '@testing-library/react';
import { NsBreadcrumb } from './';
import { breadcrumbItems } from './data';
const { getByText } = screen;

describe('Breadcrumb', () => {
    it('renders breadcrumb items', () => {
        render(<NsBreadcrumb items={breadcrumbItems} />);
        expect(getByText('Home')).toBeInTheDocument();
        expect(getByText('Products')).toBeInTheDocument();
        expect(getByText('Shirts')).toBeInTheDocument();
        expect(getByText('Blue shirt')).toBeInTheDocument();
    });

    it('renders breadcrumb items with navigation icons', () => {
        render(<NsBreadcrumb items={breadcrumbItems} iconVisibility />);
        expect(getByText('Home')).toBeInTheDocument();
        expect(getByText('Products')).toBeInTheDocument();
        expect(getByText('Shirts')).toBeInTheDocument();
        expect(getByText('Blue shirt')).toBeInTheDocument();
    });
});
