import Box from '@mui/material/Box';
import { PropsWithChildren } from 'react';
import { styled } from '@nuskin/foundation-theme';

const Wrapper = styled(Box)(() => {
    return {
        backgroundColor: 'rgba(0, 0, 0, 0.5)',
        width: '100%',
        height: '100%',
        zIndex: 100,
        display: 'flex',
        flexDirection: 'column',
        alignItems: 'center',
        justifyContent: 'center',
        '&:hover': {
            backgroundColor: 'rgba(0, 0, 0, 0)',
            '& img': {
                visibility: 'hidden',
            },
        },
    };
});

export default function NsBrandWrapper({ children }: PropsWithChildren) {
    return <Wrapper className="logo-wrapper">{children}</Wrapper>;
}
