import { render, screen } from '@testing-library/react';
import NsFfgCard from '../NsFfgCard';

describe('NsFfgCard component', () => {
    const props = {
        topImageUrl: 'https://media.nuskin.com/m/6245528b8f76ad32/webimage-brand-ageLOC.png',
        topImageAlt: 'alt-text',
        text: 'card text',
        actionLink: 'https://www.google.com',
    };
    it('renders with background image', () => {
        render(<NsFfgCard {...props} additionalProps={{ testid: 'ffg-card' }} />);
        const card = screen.getByTestId('ffg-card');
        expect(card).toHaveStyle(`
    			background-color: #fff;
    		`);
    });
    it('renders with cover size', () => {
        render(<NsFfgCard {...props} additionalProps={{ testid: 'ffg-card-1' }} actionText="Details" />);
        const card = screen.getByText('Details');
        expect(card).toBeInTheDocument();
    });
});
