import { Box } from '@mui/material';
import { styled } from '@nuskin/foundation-theme';

const options = {};

const Component = () => {
    return {
        backgroundClip: 'border-box',
        backgroundColor: '#fff',
        border: '1px solid #eff2f7',
        borderRadius: '1rem',
        boxShadow: '0 0.75rem 1.5rem rgba(18, 38, 63, .03)',
        display: 'flex',
        flexDirection: 'column' as 'column', // https://github.com/cssinjs/jss/issues/1344
        marginBottom: '2rem',
        transition: 'all .2s ease',
        textAlign: 'center' as 'center',
        wordWrap: 'break-word' as 'break-word',
        ':hover': {
            transform: 'translateY(-10px)',
            boxShadow: '0 1rem 3rem rgba(31, 45, 61, .125) !important',
            '.action-link': {
                color: '#2CD5C4',
                textDecoration: 'none',
            },
        },
        '.body-text': {
            padding: '0 1.5rem 3rem',
            fontSize: '1rem',
            color: '#8492a6',
        },
        '.top-image': {
            padding: '1.5rem 3rem',
        },
        '.action-link': {
            color: '#3c4858',
            fontSize: '1.25rem',
            padding: '0 1.5rem 3rem',
            fontWeight: 600,
            marginBottom: '0.67rem',
        },
    };
};
export const NsFfgStyled = styled(Box, options)<{}>(Component);
