import { render, screen } from '@testing-library/react';
import { RenderBrand } from '../RenderBrand';

const mockEntry = {
    title: 'Epoch',
    backgroundImage: 'https://media.nuskin.com/m/549aa3e5184434d8/webimage-brand-epoch-optweb.png',
    brandImage: 'https://media.nuskin.com/m/63a454ff90d038b4/webimage-brand-epoch.png',
};

const mockIndex = 0;

describe('RenderBrand function', () => {
    it('should render a BrandProductCard component with given props', () => {
        render(RenderBrand(mockEntry, mockIndex));

        const card = screen.getByRole('brand-card');
        const title = screen.getByText(mockEntry.title);

        expect(card).toBeInTheDocument();
        expect(title).toBeInTheDocument();
    });
});
