/**
 * @author [vijayaprathap Kumar] (vpkumar@nuskin.com)
 * checkbox.tsx
 * @description Styled Components for Checkbox
 */
import DoneIcon from '@mui/icons-material/Done';

import { styled } from '@nuskin/foundation-theme';
import { NsFlag } from '../flag';

/**
 * Wrapper BpIcon for checkbox.tsx
 * @params ( theme: { palette }) / Provide the color's to contaier from @nuskin/foundation-theme
 */

export const BpIcon = styled(DoneIcon)(({ theme: { palette } }) => ({
    border: '1px solid #8C8C8C',
    path: {
        display: 'none',
    },
    'input:hover ~ &': {
        border: '1px solid #94D6E9',
    },
    'input:focus ~ &': {
        outline: '3px solid #94D6E9',
    },
    'input:disabled ~ &': {
        background: palette?.primary?.buttonState?.hovered,
    },
}));

/**
 * Wrapper BpCheckedIcon for checkbox.tsx
 * @params ( theme: { palette }) / Provide the color's to contaier from @nuskin/foundation-theme
 */

export const BpCheckedIcon = styled(BpIcon)(({ theme: { palette } }) => ({
    path: {
        display: 'block',
    },
    background: palette?.primary?.main ?? '#fff',
    color: palette?.primary?.contrastText ?? '#000',
}));

export const StyledLabel = styled('span')<{ $hasDisabled: boolean }>`
    ${({ $hasDisabled, theme: { palette } }) =>
        $hasDisabled &&
        `
    color: ${palette?.primary?.buttonState?.hovered};
`}
`;

export const StyledFlagLabel = styled(NsFlag)`
    margin-right: 16px;
`;
