import type { StoryObj, Meta } from '@storybook/react';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import { NsIcon, NsIconVariants } from './';

type ComponentType = typeof NsIcon;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    title: 'Components/NsIcon',
    component: NsIcon,
    decorators: [withCenterDecorator],
    argTypes: {
        size: { control: 'select', options: ['small', 'medium', 'large', 'xLarge'] },
        name: {
            control: 'select',
            options: Object.keys(NsIconVariants),
        },
        color: {
            control: 'select',
            options: ['primary', 'secondary', 'success', 'error', 'warning', 'info'],
        },
    },
    args: {
        size: 'large',
        name: 'checkShield',
        color: 'success',
    },
} as MetaStory;

export const Icon: Story = {};
