import { IconContainer } from './NsIcon.styled';
import IconVariants from './NsIconVariants';
import { NsIconProps } from './types.d';

const NsIcon = ({
    name,
    size = 'large',
    color = 'primary',
    testId = 'icon',
    className,
    colorOverride,
}: NsIconProps) => {
    const Icon = IconVariants[name];

    if (!Icon) {
        return null;
    }

    return (
        <IconContainer data-testid={testId} size={size} className={className}>
            <Icon color={colorOverride ? colorOverride : (color as any)} />
        </IconContainer>
    );
};

export default NsIcon;
