import type { StoryObj, Meta } from '@storybook/react';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import { NsNavProductCard } from './';

type ComponentType = typeof NsNavProductCard;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    title: 'Components/NsNavProductCard',
    component: NsNavProductCard,
    decorators: [withCenterDecorator],
    args: {
        productDescription: `ageLOC LumiSpa iO pairs an intelligent,one-of-a-kind
    device that uses patented technology with powerful products. The results? You get the skin of your dreams.`,
        productName: 'ageLOC® LumiSpa® iO',
        className: 'justify-center',
        // eslint-disable-next-line max-len -- disabling for links
        productImg:
            // eslint-disable-next-line max-len
            'https://media.nuskin.com/m/471880e8f6e689f4/webimage-Nuskin-Ageloc-Lumi-IO-normal-combo-cleansing-device-and-cleanser.png',
    },
} as MetaStory;

export const NavProductCard: Story = {};
