import type { StoryObj, Meta } from '@storybook/react';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import { NsNavTab } from './';

type ComponentType = typeof NsNavTab;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    title: 'Components/NsNavTab',
    component: NsNavTab,
    decorators: [withCenterDecorator],
    argTypes: {
        tabs: { control: 'object' },
    },
    args: {
        tabs: [
            {
                tabName: 'Tab One',
                activeColor: 'info',
                color: 'primary',
                tabContent: 'test',
                textVariant: 'h5',
            },
            {
                tabName: 'Tab Two',
                activeColor: 'info',
                color: 'primary',
                tabContent: 'test',
                textVariant: 'h5',
            },
        ],
    },
} as MetaStory;

export const NavTab: Story = {};
