import { Radio, FormControlLabel, FormLabel, RadioGroup } from '@mui/material';
import { ColorUtils } from '@nuskin/foundation-theme';
import { styled, nuskinTheme } from '@nuskin/foundation-theme';

const { getPaletteColor } = ColorUtils;
const { colors } = nuskinTheme;

export const StyledHelperText = styled('div')`
    margin-top :10px;
    padding-left: 0.5em;
    text-align: left;
    justify-self: flex-start;
)`;

export const StyledSpan = styled('span')`
    font-size: '16px';
    font-weight: 300;
    color: ${({ theme }) => getPaletteColor(theme, 'primary')};
`;

export const StyledLabel = styled(FormLabel)(({ theme }) => {
    return {
        color: getPaletteColor(theme, 'primary'),
        marginBottom: '15px',
        backgroundColor: 'transparent',
    };
});

export const StyledRadio = styled(Radio)(({ theme }) => {
    const isLight = theme.palette?.primary?.main === '#252525';

    return {
        color: isLight ? colors.primary.black : colors.primary.white,
    };
});

export const StyledFormControlLabel = styled(FormControlLabel)(({ theme }) => {
    const isLight = theme.palette?.primary?.main === '#252525';

    return {
        color: getPaletteColor(theme, 'primary'),
        marginBottom: '10px',
        '.MuiFormControlLabel-label.Mui-disabled': {
            color: isLight ? colors?.neutral?.[60] : colors?.neutral?.[20],
        },
    };
});

export const StyledRadioGroup = styled(RadioGroup)(({ color }) => {
    return {
        marginTop: '10px',
        '.MuiRadio-root.custom-radio.Mui-checked': {
            color: color,
        },
    };
});
