/**
 * NsTextStrip.stories.tsx
 * @description NsTextStrip component.
 */

import type { StoryObj, Meta } from '@storybook/react';
import { NsTextStrip } from '@/common/';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';

type ComponentType = typeof NsTextStrip;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    title: 'Components/NsTextStrip',
    component: NsTextStrip,
    decorators: [withCenterDecorator],
    argTypes: {
        alignment: {
            control: 'select',
            options: ['center', 'start', 'end'],
            description: 'specify whether items should be in center, start or end',
        },
    },
    args: {
        text: 'Free Delivery',
        description: 'Download the app to access everything Nike',
        link: { href: 'https://www.nike.com/in/help/a/shipping-delivery-gs', title: 'View Details' },
        alignment: 'center',
    },
} as MetaStory;

export const DefaultTextStrip: Story = {};
